#ifndef NWWEBUI_CONFIG_H
#define NWWEBUI_CONFIG_H

#define NWWEBUI_NAME        "nwwebui"
#define NWWEBUI_VERSION     "@MARS_NWE_VERSION@"

#define DEFAULT_SMART_CONF  "@MARS_NWE_INSTALL_FULL_CONFDIR@/smart.conf"
#define DEFAULT_SMART_PERL      "@MARS_NWE_INSTALL_FULL_LIBEXECDIR@/smart"
#define DEFAULT_CONTROL_PERL    "@MARS_NWE_INSTALL_FULL_LIBEXECDIR@/control"
#define DEFAULT_MARS_SERVICE    "@MARS_NWE_SYSTEMD_SERVICE@"
#define DEFAULT_SYSTEMCTL_PATH  "@SYSTEMCTL_EXECUTABLE@"

#define LOG_PATH_DEFAULT    "@MARS_NWE_LOG_DIR@/nwwebui.log"

#define LOG_LEVEL_ERROR     0
#define LOG_LEVEL_INFO      1
#define LOG_LEVEL_DEBUG     2
#define LOG_LEVEL_DEFAULT   LOG_LEVEL_INFO

#define DEFAULT_BIND_IP     "0.0.0.0"
#define DEFAULT_SSL_ENABLE  1
#define DEFAULT_HTTP_PORT   9080
#define DEFAULT_HTTPS_PORT  9443

#define DEFAULT_CERT_FILE   "@MARS_NWE_INSTALL_FULL_CONFDIR@/server.crt"
#define DEFAULT_KEY_FILE    "@MARS_NWE_INSTALL_FULL_CONFDIR@/server.key"

#define DEFAULT_PID_FILE    "@MARS_NWE_PID_DIR@/nwwebui.pid"
#define DEFAULT_DAEMONIZE   0

#define NW_BACKLOG 64
#define NW_BUF_SZ  16384

#endif
